#!/bin/bash

# Download z3 version 2.11

if test -x z3
then
  echo "z3 is already available!"
  exit 0
fi

if test ! -f z3-2.11.tar.gz
then
  wget http://research.microsoft.com/projects/z3/z3-2.11.tar.gz
fi

if test -f z3-2.11.tar.gz
then
  # Extract

  tar xvfz z3-2.11.tar.gz
  mv z3 z3-2.11
  mv z3-2.11/bin/z3 z3

  # Cleanup

  rm -f z3-2.11.tar.gz
  rm -rf z3-2.11/*
  rmdir z3-2.11
else
  echo "Downloading z3 failed!"
fi
